MONGOC_URI_SET_OPTION_AS_INT32(3)

NAME
mongoc_uri_set_option_as_int32 - mongoc_uri_set_option_as_int32()

SYNOPSIS

        bool
        mongoc_uri_set_option_as_int32 (const mongoc_uri_t *uri,
                                        const char *option,
                                        int32_t value);

PARAMETERS

    •   uri: A mongoc_uri_t.

    •   option: The name of an option, case insensitive.

    •   value: The new value.

DESCRIPTION

Sets an individual URI option, after the URI has been parsed from a string.

Only known options of type integer can be set. Some integer options, such as minHeartbeatFrequencyMS, have additional constraints.

Updates the option in-place if already set, otherwise appends it to the URI's bson_t of options.

RETURNS

True if successfully set (the named option is a known option of type int32 or int64).

SEE ALSO:
        mongoc_uri_set_option_as_int64()

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc